Chart (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart

## Class Chart

- java.lang.Object
- - com.twosigma.beakerx.widget.Widget
  - - com.twosigma.beakerx.widget.BeakerxWidget
    - - com.twosigma.beakerx.chart.ChartDetails
      - - com.twosigma.beakerx.chart.Chart

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality, com.twosigma.beakerx.widget.DisplayableWidget, com.twosigma.beakerx.widget.WidgetItem
  Direct Known Subclasses:
    AbstractChart, TreeMap

      public abstract class Chart
      extends ChartDetails

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.twosigma.beakerx.widget.Widget

      `com.twosigma.beakerx.widget.Widget.ActionPerformed, com.twosigma.beakerx.widget.Widget.WidgetDisplayMethodStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PLOT_GRIDLINE`
    `static java.lang.String` | `PLOT_LABEL`
    `static java.lang.String` | `PLOT_LABEL_X`
    `static java.lang.String` | `PLOT_LABEL_Y`
    `static java.lang.String` | `PLOT_TITLE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `MODEL, MODEL_MODULE_VALUE, MODEL_UPDATE, VIEW_MODULE_VALUE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.Widget

      `APPLICATION_VND_JUPYTER_WIDGET_VIEW_JSON, DESCRIPTION, DISABLED, DISPLAY, INDEX, METHOD, MODEL_ID, MODEL_MODULE, MODEL_MODULE_VERSION, MODEL_MODULE_VERSION_VALUE, MODEL_NAME, MSG_THROTTLE, VALUE, VIEW_MODULE, VIEW_MODULE_VERSION, VIEW_MODULE_VERSION_VALUE, VIEW_NAME, VISIBLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chart()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getCustomStyles()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getElementStyles()`
    `java.lang.String` | `getGridLineStyle()`
    `java.lang.Integer` | `getInitHeight()`
    `java.lang.Integer` | `getInitWidth()`
    `java.lang.String` | `getLabelStyle()`
    `java.lang.String` | `getLabelXStyle()`
    `java.lang.String` | `getLabelYStyle()`
    `LegendLayout` | `getLegendLayout()`
    `LegendPosition` | `getLegendPosition()`
    `java.lang.String` | `getModelNameValue()`
    `java.lang.Boolean` | `getShowLegend()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getTitleStyle()`
    `java.lang.Boolean` | `getUseToolTip()`
    `java.lang.String` | `getViewNameValue()`
    `protected java.util.Map` | `serializeToJsonObject()`
    `protected java.util.Map` | `serializeToJsonObject(java.lang.Object item)`
    `void` | `setCustomStyles(java.util.List<java.lang.String> customStyle)`
    `void` | `setGridLineStyle(java.lang.String style)`
    `Chart` | `setInitHeight(int h)`
    `Chart` | `setInitWidth(int w)`
    `void` | `setLabelStyle(java.lang.String style)`
    `void` | `setLabelXStyle(java.lang.String style)`
    `void` | `setLabelYStyle(java.lang.String style)`
    `Chart` | `setLegendLayout(LegendLayout legendLayout)`
    `Chart` | `setLegendPosition(LegendPosition legendPosition)`
    `Chart` | `setShowLegend(java.lang.Boolean showLegend)`
    `Chart` | `setTitle(java.lang.String title)`
    `void` | `setTitleStyle(java.lang.String style)`
    `Chart` | `setUseToolTip(boolean useToolTip)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.ChartDetails

      `getDetails, getDetailsFromMessage, getGraphics, getGraphicsById, getGraphicsUid, onActionDetails, openComm, setDetails, updateDetails`

    - ### Methods inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `activateWidgetInContainer, addValueChangeMsgCallback, beforeDisplay, content, getModelModuleValue, getViewModuleValue, sendModel, sendModelUpdate, sendModelUpdate`

    - ### Methods inherited from class com.twosigma.beakerx.widget.Widget

      `asWidget, close, display, getComm, getModelModuleVersion, getViewModuleVersion, handleCommEventSync, openComm, sendDisplay, sendUpdate, sendUpdate, sendUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLOT_GRIDLINE

          public static final java.lang.String PLOT_GRIDLINE

      See Also:
        Constant Field Values

    - #### PLOT_LABEL_Y

          public static final java.lang.String PLOT_LABEL_Y

      See Also:
        Constant Field Values

    - #### PLOT_LABEL_X

          public static final java.lang.String PLOT_LABEL_X

      See Also:
        Constant Field Values

    - #### PLOT_LABEL

          public static final java.lang.String PLOT_LABEL

      See Also:
        Constant Field Values

    - #### PLOT_TITLE

          public static final java.lang.String PLOT_TITLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Chart

          public Chart()

  - ### Method Detail

    - #### setInitWidth

          public Chart setInitWidth(int w)

    - #### getInitWidth

          public java.lang.Integer getInitWidth()

    - #### setInitHeight

          public Chart setInitHeight(int h)

    - #### getInitHeight

          public java.lang.Integer getInitHeight()

    - #### setTitle

          public Chart setTitle(java.lang.String title)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setShowLegend

          public Chart setShowLegend(java.lang.Boolean showLegend)

    - #### getShowLegend

          public java.lang.Boolean getShowLegend()

    - #### setUseToolTip

          public Chart setUseToolTip(boolean useToolTip)

    - #### getUseToolTip

          public java.lang.Boolean getUseToolTip()

    - #### getLegendPosition

          public LegendPosition getLegendPosition()

    - #### setLegendPosition

          public Chart setLegendPosition(LegendPosition legendPosition)

    - #### getLegendLayout

          public LegendLayout getLegendLayout()

    - #### setLegendLayout

          public Chart setLegendLayout(LegendLayout legendLayout)

    - #### getCustomStyles

          public java.util.List<java.lang.String> getCustomStyles()

    - #### setCustomStyles

          public void setCustomStyles(java.util.List<java.lang.String> customStyle)

    - #### getLabelStyle

          public java.lang.String getLabelStyle()

    - #### setLabelStyle

          public void setLabelStyle(java.lang.String style)

    - #### getLabelXStyle

          public java.lang.String getLabelXStyle()

    - #### setLabelXStyle

          public void setLabelXStyle(java.lang.String style)

    - #### getLabelYStyle

          public java.lang.String getLabelYStyle()

    - #### setLabelYStyle

          public void setLabelYStyle(java.lang.String style)

    - #### getGridLineStyle

          public java.lang.String getGridLineStyle()

    - #### setGridLineStyle

          public void setGridLineStyle(java.lang.String style)

    - #### getTitleStyle

          public java.lang.String getTitleStyle()

    - #### setTitleStyle

          public void setTitleStyle(java.lang.String style)

    - #### getElementStyles

          public java.util.Map<java.lang.String,java.lang.String> getElementStyles()

    - #### getModelNameValue

          public java.lang.String getModelNameValue()

      Specified by:
        `getModelNameValue` in class `com.twosigma.beakerx.widget.Widget`

    - #### getViewNameValue

          public java.lang.String getViewNameValue()

      Specified by:
        `getViewNameValue` in class `com.twosigma.beakerx.widget.Widget`

    - #### serializeToJsonObject

          protected java.util.Map serializeToJsonObject()

      Specified by:
        `serializeToJsonObject` in class `com.twosigma.beakerx.widget.BeakerxWidget`

    - #### serializeToJsonObject

          protected java.util.Map serializeToJsonObject(java.lang.Object item)

      Specified by:
        `serializeToJsonObject` in class `com.twosigma.beakerx.widget.BeakerxWidget`